/*
 * cpu.h -- CPU simulation
 */


#ifndef _CPU_H_
#define _CPU_H_


#include "common.h"


octa cpuGetPC(void);
void cpuSetPC(octa address);

octa cpuGetGR(int regnum);
void cpuSetGR(int regnum, octa value);
octa cpuGetLR(int regnum);
void cpuSetLR(int regnum, octa value);
octa cpuGetDR(int regnum);
void cpuSetDR(int regnum, octa value);

bool cpuTestBreak(void);
octa cpuGetBreak(void);
void cpuSetBreak(octa address);
void cpuResetBreak(void);

void cpuStep(void);
void cpuContinue(void);

void cpuReset(void);
void cpuInit(void);
void cpuExit(void);


#endif /* _CPU_H_ */
